% Author: Matthew Dawson matthew@mjdsystems.ca
% Organization: McMaster Centre for Software Certification
classdef HierarchicalGridCell < Cell
    % This class will store a single cell of data.  It contains its string,
    % and it contains a subgrid if appropriate.
    
    properties
        grid = {};
    end
    
    
    
    methods
        
        %% Data
        %   constructor
        % inputs:
        %   none
        % outputs:
        %   object:Data - created object
        function object = HierarchicalGridCell()
            
        end
        
        function cell = get_cell(object, cell_index)
            cell = object.grid{cell_index};
        end
    end
    
    
end
